Bug 106820 - RFE: telnet cannot bind to local device or IP address
RFE: telnet cannot bind to local device or IP address
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 17:39 EDT by Ben Greear
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add local-address binding against netkit-telnet 0.17 (7.21 KB, patch)
2003-10-10 17:40 EDT, Ben Greear
no flags Details | Diff

  None (edit)
Description Ben Greear 2003-10-10 17:39:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5b) Gecko/20030827

Description of problem:
I would like to be able to bind telnet to a local interface on my
multi-interface machines.  Similar to the way ping -I works.

I have a patch against netkit-telnet-0-17.  I hope it will apply
to redhat's telnet source without too much trouble.  Please consider
adding this feature, thanks!

Version-Release number of selected component (if applicable):
telnet-0.17-25

How reproducible:
Always

Steps to Reproduce:
1. telnet -I eth1 10.1.1.1
2.
3.
    

Actual Results:  -I not a supported option.

Expected Results:  [connected]

Additional info:
Comment 1 Ben Greear 2003-10-10 17:40:59 EDT
Created attachment 95112 [details]
Patch to add local-address binding against netkit-telnet 0.17

This patch adds requested feature to netkit-telnet 0.17, hopefully
it will apply with little pain to the version RedHat ships.
Comment 2 Harald Hoyer 2003-10-24 08:52:37 EDT
later... postponed to Fedora Core 2
Comment 3 Ben Greear 2005-03-30 18:03:55 EST
Any hope of getting this in, maybe FC3 or FC4?
Comment 4 Harald Hoyer 2005-04-21 08:58:55 EDT
Hmm, I have no good feeling about adding this to telnet. Can't you get that
option upstream? I know, there has been no new version since years... but...
Comment 5 Ben Greear 2005-04-21 15:01:36 EDT
I originally sent the patch to the maintainer, but I don't think
they are really maintaining it anymore.  I believe the patch is fairly
simple, and I'd be willing to help with any bug reports that
you get if you apply the patch....
Comment 6 Bill Nottingham 2006-08-04 23:03:31 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2007-01-02 13:25:15 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.